import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;

/**
 * The ScoreBoard is used to display results on the screen. It can display some
 * text and several numbers.
 * 
 * @author M Kolling
 * @version 1.0
 */
public class GameOver extends Actor
{
    public static final float FONT_SIZE = 48.0f;
    public static final int WIDTH = 400;
    public static final int HEIGHT = 300;
    int SCORE=0;
    /**
     * Create a score board with dummy result for testing.
     */
    public GameOver()
    {
        this("Game Over", 100);
    }

    /**
     * Create a score board for the final result.
     */
    public GameOver(String msg, int score)
    {
        makeImage(msg, "Score: ", score);
        SCORE=score;
    }
    
    public GameOver(String msg, int score, String msg2)
    {
        makeImage(msg, "Score: ", msg2, score);
        SCORE=score;
    }

    /**
     * Make the score board image.
     */
    private void makeImage(String title, String prefix, int score)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(255,255,255, 128));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 128));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 70, 100);
        image.drawString(prefix + score, 70, 225);
        setImage(image);
    }
    
    private void makeImage(String title, String prefix, String prefix2, int score)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(255,255,255, 128));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 128));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 50, 100);
        image.drawString(prefix + score, 80, 163);
        Font font2 = image.getFont();
        font2 = font.deriveFont(24.0f);
        image.setFont(font2);
        image.drawString(prefix2, 40, 225);
        setImage(image);
    }
    
}
